Subject: Re: What's cooking in git.git (Dec 2024, #05; Thu, 12)

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 16 Dec 2024 09:11:22 +0100

On Thu, Dec 12, 2024 at 09:31:06PM +0900, Junio C Hamano wrote:
> * ps/build-sign-compare (2024-12-06) 16 commits
>  - t/helper: don't depend on implicit wraparound
>  - scalar: address -Wsign-compare warnings
>  - builtin/patch-id: fix type of `get_one_patchid()`
>  - builtin/blame: fix type of `length` variable when emitting object ID
>  - gpg-interface: address -Wsign-comparison warnings
>  - daemon: fix type of `max_connections`
>  - daemon: fix loops that have mismatching integer types
>  - global: trivial conversions to fix `-Wsign-compare` warnings
>  - pkt-line: fix -Wsign-compare warning on 32 bit platform
>  - csum-file: fix -Wsign-compare warning on 32-bit platform
>  - diff.h: fix index used to loop through unsigned integer
>  - config.mak.dev: drop `-Wno-sign-compare`
>  - global: mark code units that generate warnings with `-Wsign-compare`
>  - compat/win32: fix -Wsign-compare warning in "wWinMain()"
>  - compat/regex: explicitly ignore "-Wsign-compare" warnings
>  - git-compat-util: introduce macros to disable "-Wsign-compare" warnings
> 
>  Start working to make the codebase buildable with -Wsign-compare.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

I think this series should be ready to go, yes.

> * ps/send-pack-unhide-error-in-atomic-push (2024-11-14) 2 commits
>  - transport: don't ignore git-receive-pack(1) exit code on atomic push
>  - t5504: modernize test by moving heredocs into test bodies
> 
>  "git push --atomic --porcelain" used to ignore failures from the
>  other side, losing the error status from the child process, which
>  has been corrected.
> 
>  Needs review.
>  source: <[email-masked]>

There was a newer version of this series again sent by Jiang Xin. I'll
try to have a look today.

> * ds/path-walk-1 (2024-12-07) 7 commits
>  - path-walk: reorder object visits
>  - path-walk: mark trees and blobs as UNINTERESTING
>  - path-walk: visit tags and cached objects
>  - path-walk: allow consumer to specify object types
>  - t6601: add helper for testing path-walk API
>  - test-lib-functions: add test_cmp_sorted
>  - path-walk: introduce an object walk by path
>  (this branch is used by ds/backfill.)
> 
>  Introduce a new API to visit objects in batches based on a common
>  path, or by type.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

I was a bit late to the party, but have sent a couple of review comments
to the mailing list late last week that Derrick may want to address.

> * as/show-index-uninitialized-hash (2024-11-11) 2 commits
>  - t5300: add test for 'show-index --object-format'
>  - show-index: fix uninitialized hash function
> 
>  Regression fix for 'show-index' when run outside of a repository.
> 
>  Comments?
>  source: <[email-masked]>

I've just had a look at it, looks good to me.

Thanks!

Patrick